Skip to content
LydieDevelopers
Menu

Set notification preferences

View as Markdown
PUT/v1/notifications/preferences

email: off (default), mentions (mail for mentions), all (every notification).

Request
curl -X PUT "https://api.lydie.co/v1/notifications/preferences" \
  -H "Authorization: Bearer $LYDIE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "off"
  }'

Body

  • emailstringrequired

    One ofoffmentionsall

Response

  • emailstring

    One ofoffmentionsall

200
{
  "email": "off"
}

Errors use one envelope for every endpoint. See Errors and versions.